Bug 818243 - Add file permission changes to drift management
Add file permission changes to drift management
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Drift (Show other bugs)
JON 3.1.0
All All
unspecified Severity low
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 10:47 EDT by Rich Lucente
Modified: 2014-08-27 18:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Lucente 2012-05-02 10:47:43 EDT
Being able to detect file permission changes would really help in positioning drift management as an IA compliance tool for US military and other government customers.

This would be dependent on a move to JDK 7 since this JVM does add a file attribute package that enables access to POSIX discretionary access controls and Windows ACL's.  Please consider adding this for an upcoming JON release.

JDK 6 support for file permissions is insufficient since the File.canRead/Write/Execute methods only consider the current user context and not whether any permission on the file has changed.
Comment 1 Mike Foley 2012-05-08 15:33:47 EDT
per BZ triage ... crouch, loleary, foley

Note You need to log in before you can comment on or make changes to this bug.